%define pypi_name nbformat

Name:           jupyter-%{pypi_name}
Version:        5.9.2
Release:        %mkrel 3
Group:          Development/Python
Summary:        Jupyter Notebook format (tools)

License:        BSD
URL:            https://jupyter.org/
Source0:        https://pypi.io/packages/source/n/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  nodejs
Requires:       python3-%{name} = %{version}-%{release}

%description
This package contains the base implementation of the
Jupyter Notebook format, and Python APIs for working
with notebooks.

%package -n     python3-%{name}
Summary:        Jupyter Notebook Conversion (Python 3)
Group:          Development/Python
%{?python_provide:%python_provide python3-%{name}}

%description -n python3-%{name}
This package contains the base implementation of the
Jupyter Notebook format, and Python APIs for working
with notebooks.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files nbformat

%files
%{_bindir}/jupyter-trust

%files -n python3-%{name} -f %{pyproject_files}
%doc README.md


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 5.9.2-3.mga10
+ Revision: 2240794
- Mageia 10 Mass Rebuild

* Sun Mar 02 2025 wally <wally> 5.9.2-2.mga10
+ Revision: 2157743
- rebuild for python3.13

* Tue Dec 26 2023 wally <wally> 5.9.2-1.mga10
+ Revision: 2021808
- new version 5.9.2
- use %%pyproject_buildrequires

* Fri Oct 21 2022 papoteur <papoteur> 5.4.0-1.mga9
+ Revision: 1898144
- new 5.4.0

* Wed Mar 23 2022 umeabot <umeabot> 5.1.3-3.mga9
+ Revision: 1823546
- Mageia 9 Mass Rebuild

* Wed Feb 23 2022 tv <tv> 5.1.3-2.mga9
+ Revision: 1783501
- Rebuild for python-3.10

* Sun Apr 18 2021 daviddavid <daviddavid> 5.1.3-1.mga9
+ Revision: 1716604
- new version: 5.1.3

* Tue Mar 23 2021 daviddavid <daviddavid> 5.0.8-3.mga9
+ Revision: 1708325
- relax jsonschema dependency

* Tue Mar 23 2021 daviddavid <daviddavid> 5.0.8-2.mga9
+ Revision: 1708309
- fix python3 pkg name

* Tue Mar 23 2021 daviddavid <daviddavid> 5.0.8-1.mga9
+ Revision: 1708163
- new version: 5.0.8
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 4.4.0-3.mga8
+ Revision: 1532498
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 4.4.0-2.mga8
+ Revision: 1442469
- rebuild for python3.8

* Fri Jul 19 2019 shlomif <shlomif> 4.4.0-1.mga8
+ Revision: 1422860
- New version 4.4.0

* Sat Jan 12 2019 tmb <tmb> 4.3.0-3.mga7
+ Revision: 1355288
- rebuild for python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 4.3.0-2.mga7
+ Revision: 1279170
- Mageia 7 Mass Rebuild

* Wed Aug 09 2017 philippem <philippem> 4.3.0-1.mga7
+ Revision: 1139304
- update to 4.3.0, since ipython is py3 only, we provide only py3

* Sat Aug 05 2017 pterjan <pterjan> 4.0.1-2.mga7
+ Revision: 1135238
- Rebuild for python 3.6

* Mon Apr 18 2016 philippem <philippem> 4.0.1-1.mga6
+ Revision: 1003455
- imported package jupyter-nbformat

